#
# traceroute.tcl
# By Fosters@G0
#
# (c) Copyright 1998 Eden Developments
#     All Rights Reserved
#

# traceroute command
set trcommand "/usr/sbin/traceroute"

bind dcc n traceroute dcc_traceroute
proc dcc_traceroute { handle idx arg } {
	global trcommand
	
	set host [lindex $arg 0]
	
	if { $host == "" } {
		putdcc $idx "Useage: .traceroute host"
		return 0
	}
	
	putdcc $idx "Spawning background traceroute to $host ..."
	putdcc $idx "The traceroute will be displayed in a few moments."
	execbg "$trcommand $host" bg_trace $idx
	
	return 1
}

proc bg_trace { tmpfile idx } {
	set fp [open $tmpfile]
	set route [read $fp]
	close $fp
	
	putdcc $idx $route
}

putlog "TraceRoute Version 1.2 Loaded..."
